Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

The limit of items to return. Default is 20. Max is 5000.

starting_after
string

Load the next page of data starting after the item with the given ID.

name
string

Filter storage objects by name (partial match supported).

content_type
enum<string>

Filter storage objects by content type.

Available options:
unspecified,
text,
binary,
gzip,
tar,
tgz
state
enum<string>

Filter storage objects by state.

Available options:
UPLOADING,
READ_ONLY,
DELETED,
ERROR

Search by object ID or name.

include_total_count
boolean

If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.

Response

Successfully retrieved list of Objects.

A paginated list of Objects.

objects
object[]
required

List of Object entities.

has_more
boolean
required

True if there are more results available beyond this page.

total_count
integer<int32> | null

Total number of Objects across all pages.